/*****************************************************************************/
/* The contents of this file are subject to the Mozilla Public License       */
/* Version 1.1 (the "License"); you may not use this file except in          */
/* compliance with the License.  You may obtain a copy of the License at     */
/* http://www.mozilla.org/MPL/                                               */
/*                                                                           */
/* Software distributed under the License is distributed on an "AS IS"       */
/* basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the  */
/* License for the specific language governing rights and limitations under  */
/* the License.                                                              */
/*                                                                           */
/* The Original Code is the DSML Tools v2.                                   */
/*                                                                           */
/*                                                                           */
/* Contributor(s):                                                           */
/*                                                                           */
/* Alternatively, the contents of this file may be used under the terms of   */
/* the GNU General Public License Version 2 or later (the "GPL"), in which   */
/* case the provisions of the GPL are applicable instead of those above.  If */
/* you wish to allow use of your version of this file only under the terms   */
/* of the GPL and not to allow others to use your version of this file under */
/* the MPL, indicate your decision by deleting the provisions above and      */
/* replace them with the notice and other provisions required by the GPL.    */
/* If you do not delete the provisions above, a recipient may use your       */
/* version of this file under either the MPL or the GPL.                     */
/*                                                                           */
/* The Original Code was written  for dsmltools v2 by                        */
/* Sébastien Bettinger <sebastien.bettinger@sib.fr>                          */
/*                     <sebastien.bettinger@gmail.com>                       */
/*                                                                           */
/*****************************************************************************/
package org.dsmltools;

import netscape.ldap.LDAPAttributeSet;
import netscape.ldap.LDAPEntry;
import netscape.ldap.LDAPModification;

/**
 * La classe DSMLLdapEntry
 *
 * @author  bettingers
 */
public class DSMLLdapEntry extends LDAPEntry {

    /**
     * Variable membre <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 6333302337036838169L;

    /* operation dans le cas du modifyRequest */
    public static int ADD = LDAPModification.ADD;
    public static int DELETE = LDAPModification.ADD;
    public static int REPLACE = LDAPModification.ADD;
    
    private int operation = 0;
    
    public DSMLLdapEntry(String s, LDAPAttributeSet ldapattributeset, int operation)
    {
        super(s, ldapattributeset);
        this.operation = operation;
    }
    
    public DSMLLdapEntry(String s, LDAPAttributeSet ldapattributeset)
    {
        super(s, ldapattributeset);
    }
    
    public int getOperation() {
        return this.operation;
    }
    
    /**
     * 
     * Constructeur de la classe DSMLLdapEntry<br>
     * Pour la conversion LDAPEntry + operation -> DSMLLdapEntry
     * @param LdapEntry
     * @param operation 
     */
    public DSMLLdapEntry(LDAPEntry LdapEntry, int operation) {
        super(LdapEntry.getDN(), LdapEntry.getAttributeSet());
        this.operation = operation;
    }
}
